Last modified: 2011-05-15 10:07:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26723 - RTL languages break the alignment in "Download text"
RTL languages break the alignment in "Download text"
Status: RESOLVED FIXED
Product: mwEmbed
Classification: Unclassified
Timed text (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Michael Dale
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-01-14 06:27 UTC by Amir E. Aharoni
Modified: 2011-05-15 10:07 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
a screenshot showing reversed alignment for Hebrew (51.27 KB, image/png)
2011-01-14 06:27 UTC, Amir E. Aharoni
Details

Description Amir E. Aharoni 2011-01-14 06:27:26 UTC
Created attachment 7994 [details]
a screenshot showing reversed alignment for Hebrew

In the embedded player there's the ability to download the full video file and the subtitles files by language. The languages are listed by codes and native names. If a language is right-to-left, its code appears on the other end of the line, which is not nice (see the screenshot and notice the language 'he', Hebrew). The codes and the names should be aligned in two separate columns.
Comment 1 Michael Dale 2011-01-14 16:49:28 UTC
This in theory should be fixed with the migration to the 1_17 Resource Loader and its RTL magic. Will mark this bug defer and revisit once migration to 1_17 resource loader is complete.
Comment 2 Amir E. Aharoni 2011-02-16 12:15:10 UTC
After the upgrade to 1.17 it looks better, but see Bug 27450.
Comment 3 Michael Dale 2011-04-07 23:04:21 UTC
going to mark this as closed, now that we are focused on the actual timed text alignment ( bug 27450 )

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links